cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements

Announcing ISE 2.6 as the Suggested Release

176
Views
0
Helpful
0
Comments
Cisco Employee

Dear Cisco Partners,

 

We know that the Cisco Identity Services Engine (ISE) is a critical element of your network security and so stability is of paramount importance. As a result, many of you asked us for a suggested release given several criteria including: the release has been in the field for a reasonable time, the release has at least one patch available, and the release will be supported for a long period of time. We listened and made it an official program with ISE 2.4 as the first suggested release.

 

It is time to take the next step in the suggested release program and announce ISE 2.6 as the suggested release. ISE 2.6 has met all the milestones you set out with initial release February 18, 2019 and patch 2 released July 26, 2019. Starting with patch 2, ISE 2.6 replaces ISE 2.4 as the suggested release. If you are upgrading to a new ISE version, we now instead suggest ISE 2.6. If you are building out a new ISE instance, we would suggest you use ISE 2.6. ISE 2.6 is a long-term release and will provide you the longest life of any of the currently supported releases. ISE 2.6 will minimize the number of ISE upgrades.

 

You might ask what gives you the confidence to make ISE 2.6 a suggested release beyond just time and patches. We have quietly been making changes to ensure: that the ISE 2.6 internal architecture is simply better than prior releases in terms of robustness and quality, our testing environments are better and continually improving, and our processes are better to maintain that high quality you expect. But much more important than these are the results in the field – less bugs, less cases, higher customer satisfaction. With ISE’s NPS constantly improving (+28 points this year only!) – this is what is making the difference – customers and partners that see the result of these efforts.

 

This announcement doesn’t in any way diminish ISE 2.4. It doesn’t mean any change in the way we support ISE 2.4. ISE 2.4 continues forward with routine patches. If you are running anything older than 2.4, now is the time to consider migrating to ISE 2.6!

 

You can download ISE 2.6 here (CCO ID and current service agreement required).

 

Sincerely,

 

The Cisco ISE Product Management Team

This widget could not be displayed.